<?php
// +----------------------------------------------------------------------
// | 项目独立函数库
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

/**
 * 财务类型
 * @todo 无
 * @author 小黄牛
 * @version v1.0.1 + 2019.04.09
 * @deprecated 暂不弃用
 * @global 无
 * @param int $type 收入或者支出
 * @param int $k 编号查询
 * @return array
*/
function get_type($type=1, $k=null) {
    # 收入
    $income = [
        1 => '工资',
        2 => '零工',
        3 => '兼职',
        4 => '奖金',
        5 => '其他',
    ];
    # 支出
    $expend = [
        1 => '五险一金',
        2 => '住宿费',
        3 => '话费',
        4 => '路费',
        5 => '餐费',
        6 => '买菜',
        7 => '买水果',
        8 => '买衣服',
        9 => '日常用品',
        10 => '旅游开销',
        11 => '其他',
    ];

    if ($type == 1) {
        if ($k!=null) return $income[$k];
        return $income;
    } else {
        if ($k!=null) return $expend[$k];
        return $expend;
    }
}

/**
 * 查询某月的第一天时间和最后一天时间
 * @todo 无
 * @author 小黄牛
 * @version v1.1.8 + 2019.04.01
 * @deprecated 暂不弃用
 * @global 无
 * @param int $date
 * @return array
*/
function month($date) {
    if ($date >= 1 && $date <= 12) {
        $date = date('Y', time()).'-'.$date;
        $firstday = date('Y-m-d H:i:s', strtotime($date));
        $lastday = date('Y-m-d H:i:s', strtotime("$firstday +1 month -1 day")+86399);
    } else if ($date == 13) {
        $firstday = date('Y', time()).'-01-01';
        $lastday  = date('Y', time()).'-03-31 23:59:59';
    } else if ($date == 14) {
        $firstday = date('Y', time()).'-04-01';
        $lastday  = date('Y', time()).'-06-30 23:59:59';
    } else if ($date == 15) {
        $firstday = date('Y', time()).'-07-01';
        $lastday  = date('Y', time()).'-09-30 23:59:59';
    } else if ($date == 16) {
        $firstday = date('Y', time()).'-10-01';
        $lastday  = date('Y', time()).'-12-31 23:59:59';
    } else if ($date == 17) {
        $firstday = date('Y', time()).'-01-01';
        $lastday  = date('Y', time()).'-06-30 23:59:59';
    } else if ($date == 18) {
        $firstday = date('Y', time()).'-07-01';
        $lastday  = date('Y', time()).'-12-31 23:59:59';
    } else if ($date == 19) {
        $firstday = date('Y', time()).'-01-01';
        $lastday  = date('Y', time()).'-12-31 23:59:59';
    }
    
    return [strtotime($firstday), strtotime($lastday)];
}

/**
 * 随机颜色
 * @todo 无
 * @author 小黄牛
 * @version v1.1.8 + 2019.04.01
 * @deprecated 暂不弃用
 * @global 无
 * @return void
*/
function randrgb() { 
  $str='0123456789ABCDEF'; 
    $estr='#'; 
    $len=strlen($str); 
    for($i=1;$i<=6;$i++) 
    { 
        $num=rand(0,$len-1);   
        $estr=$estr.$str[$num];  
    } 
    return $estr; 
} 