<?php 
require_once HANDLE_PATH . DS .'layout'. DS .'login_vif'. EXT;
# 引入页头
require_once VIEW_PATH . DS .'layout'. DS .'header'. EXT;
# 开始查询咯
$time  = !empty(I('POST.time')) ? I('POST.time') : date('n', time());
$where = '';
if ($time) {
    $array = month($time);
    $where = 'time >= '.$array[0].' AND time <= '.$array[1];
}
$list  = Db::name('finance')->where($where)->select();

$income = 0; // 支出
$expend = 0; // 收入
$income_list = [];
$expend_list = [];
$income_num = 0; 
$expend_num = 0; 


foreach ($list as $v) {
    if ($v['class'] == 1) {
        // 收入数
        $expend_num++;
        $expend += $v['money'];
        $expend_list[] = $v;
    } else {
        // 支出数
        $income_num++;
        $income += $v['money'];
        $income_list[] = $v;
    }
}
// 总记录数
$count = $expend+$income;

// 收入支出 百分比饼图
$money = abs($income)+$expend;
$income_v = 0;
$expend_v = 0;
if ($money != 0) {
    $income_v = round(abs($income) / $money * 100, 2);
    $expend_v = round($expend / $money * 100, 2);
} 

// 对应支出分类数 对应支出分类金额 百分比饼图
$income_type = get_type(2);
$income_type_list = [];
foreach ($income_type as $k=>$v) {
    foreach ($income_list as $val) {
        if ($val['type'] == $k) {
            $income_type_list[$v]['num']++;
            $income_type_list[$v]['money'] += $val['money'];
        }
    }
}
foreach ($income_type_list as $k=>$v) {
    $lv = round(abs($v['money']) / abs($income) * 100, 2);
    $income_type_list[$k]['lv'] = $lv;
    $income_type_list[$k]['json'] = '{label: "'.$k.'", data: [[1,'.$lv.']], color: "'.randrgb().'"},';
}

// 对应收入分类数 对应收入分类金额 百分比饼图
$expend_type = get_type(1);
$expend_type_list = [];
foreach ($expend_type as $k=>$v) {
    foreach ($expend_list as $val) {
        if ($val['type'] == $k) {
            $expend_type_list[$v]['num']++;
            $expend_type_list[$v]['money'] += $val['money'];
        }
    }
}
foreach ($expend_type_list as $k=>$v) {
    $lv = round(abs($v['money']) / abs($expend) * 100, 2);
    $expend_type_list[$k]['lv'] = $lv;
    $expend_type_list[$k]['json'] = '{label: "'.$k.'", data: [[1,'.$lv.']], color: "'.randrgb().'"},';
}
?>
<link href="<?php echo __ROOT__;?>public/css/charts/chartist.min.css" rel="stylesheet">
<link href="<?php echo __ROOT__;?>public/css/lib/vector-map/jqvmap.min.css" rel="stylesheet"></head>

<div id="right-panel" class="right-panel">
    <div class="breadcrumbs">
        <div class="breadcrumbs-inner">
            <div class="row m-0">
                <div class="col-sm-4">
                    <div class="page-header float-left">
                        <div class="page-title">
                            <h1>账单查阅</h1>
                        </div>
                    </div>
                </div>
                <div class="col-sm-8">
                    <div class="page-header float-right">
                        <div class="page-title">
                            <ol class="breadcrumb text-right">
                                <li><a href="<?php echo U('index');?>">收支记录</a></li>
                                <li><a href="<?php echo U('login', 'out');?>">退出</a></li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="content">
        <div class="animated fadeIn">

            <div class="row">
                <div class="col-lg-12">
                    
                    <div class="card">
                        <div class="card-header">
                            <strong>搜索条件</strong>
                        </div>

                        <div class="card-body card-block">
                            <form action="<?php echo U('count');?>" method="post" class="form-inline sousuo">
                                <div class="form-group"><label for="exampleInputEmail2" class="px-1  form-control-label">账单时间</label>
                                    <select name="time" class="form-control">
                                        <option value="1" <?php if ($time == 1) echo 'selected';?>>一月</option>
                                        <option value="2" <?php if ($time == 2) echo 'selected';?>>二月</option>
                                        <option value="3" <?php if ($time == 3) echo 'selected';?>>三月</option>
                                        <option value="4" <?php if ($time == 4) echo 'selected';?>>四月</option>
                                        <option value="5" <?php if ($time == 5) echo 'selected';?>>五月</option>
                                        <option value="6" <?php if ($time == 6) echo 'selected';?>>六月</option>
                                        <option value="7" <?php if ($time == 7) echo 'selected';?>>七月</option>
                                        <option value="8" <?php if ($time == 8) echo 'selected';?>>八月</option>
                                        <option value="9" <?php if ($time == 9) echo 'selected';?>>九月</option>
                                        <option value="10" <?php if ($time == 10) echo 'selected';?>>十月</option>
                                        <option value="11" <?php if ($time == 11) echo 'selected';?>>十一月</option>
                                        <option value="12" <?php if ($time == 12) echo 'selected';?>>十二月</option>
                                        <option value="13" <?php if ($time == 13) echo 'selected';?>>1-3月</option>
                                        <option value="14" <?php if ($time == 14) echo 'selected';?>>3-6月</option>
                                        <option value="15" <?php if ($time == 15) echo 'selected';?>>6-9月</option>
                                        <option value="16" <?php if ($time == 16) echo 'selected';?>>9-12月</option>
                                        <option value="17" <?php if ($time == 17) echo 'selected';?>>半年</option>
                                        <option value="18" <?php if ($time == 18) echo 'selected';?>>今年</option>
                                        <option value="19" <?php if ($time == 19) echo 'selected';?>>上年</option>
                                    </select>
                                </div>
                            </form>
                        </div>
                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary2 btn-sm">确认搜索</button>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <div class="stat-widget-five">
                                <div class="stat-icon dib flat-color-1">
                                    <i class="pe-7s-cash"></i>
                                </div>
                                <div class="stat-content">
                                    <div class="text-left dib">
                                        <div class="stat-text"><?php echo $expend_num;?> / <span class="count"><?php echo $expend;?></span></div>
                                        <div class="stat-heading">总记录 / 收入金额</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <div class="stat-widget-five">
                                <div class="stat-icon dib flat-color-2">
                                    <i class="pe-7s-cash"></i>
                                </div>
                                <div class="stat-content">
                                    <div class="text-left dib">
                                        <div class="stat-text"><?php echo $income_num;?> / <span class="count"><?php echo $income;?></span></div>
                                        <div class="stat-heading">总记录 / 支出金额</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-3 col-md-6">
                    <div class="card">
                        <div class="card-body">
                            <div class="stat-widget-five">
                                <div class="stat-icon dib flat-color-3">
                                    <i class="pe-7s-cash"></i>
                                </div>
                                <div class="stat-content">
                                    <div class="text-left dib">
                                        <div class="stat-text"><span class="count"><?php echo $income+$expend; ?></span></div>
                                        <div class="stat-heading">剩余收支</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="box-title">收支细节 </h4>
                        </div>
                        <div class="row">
                            <div class="col-lg-8">
                                <div class="card-body">
                                    <div id="cellPaiChart1" class="float-chart" style="height: 160px;"></div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="card-body">
                                    <div class="progress-box progress-1">
                                        <h4 class="por-title">支出率</h4>
                                        <div class="por-txt"><?php echo $income;?> / (<?php echo $income_v;?>%)</div>
                                        <div class="progress mb-2" style="height: 5px;">
                                            <div class="progress-bar bg-flat-color-1" role="progressbar" style="width: <?php echo $income_v;?>%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                    <div class="progress-box progress-2">
                                        <h4 class="por-title">收入率</h4>
                                        <div class="por-txt"><?php echo $expend;?> / (<?php echo $expend_v;?>%)</div>
                                        <div class="progress mb-2" style="height: 5px;">
                                            <div class="progress-bar bg-flat-color-2" role="progressbar" style="width: <?php echo $expend_v;?>%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                        </div>
                                    </div>
                                </div> <!-- /.card-body -->
                            </div>
                        </div> <!-- /.row -->
                        <div class="card-body"></div>
                    </div>
                </div><!-- /# column -->
            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="box-title">支出细节</h4>
                        </div>
                        <div class="row">
                            <div class="col-lg-8">
                                <div class="card-body">
                                    <div id="cellPaiChart2" class="float-chart" style="height: 160px;"></div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="card-body">
                                    <?php 
                                    $i = 1;
                                    foreach ($income_type_list as $k=>$v) {
                                    ?>
                                        <div class="progress-box progress-1">
                                            <h4 class="por-title"><?php echo $k;?></h4>
                                            <div class="por-txt"><?php echo $v['money'];?> / (<?php echo $v['lv'];?>%)</div>
                                            <div class="progress mb-2" style="height: 5px;">
                                                <div class="progress-bar bg-flat-color-<?php echo $i;?>" role="progressbar" style="width: <?php echo $v['lv'];?>%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                            </div>
                                        </div>
                                    <?php $i++;} ?>
                                </div> <!-- /.card-body -->
                            </div>
                        </div> <!-- /.row -->
                        <div class="card-body"></div>
                    </div>
                </div><!-- /# column -->
            </div>
            

            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="box-title">收入细节</h4>
                        </div>
                        <div class="row">
                            <div class="col-lg-8">
                                <div class="card-body">
                                    <div id="cellPaiChart3" class="float-chart" style="height: 160px;"></div>
                                </div>
                            </div>
                            <div class="col-lg-4">
                                <div class="card-body">
                                    <?php 
                                    $i = 1;
                                    foreach ($expend_type_list as $k=>$v) {
                                    ?>
                                        <div class="progress-box progress-1">
                                            <h4 class="por-title"><?php echo $k;?></h4>
                                            <div class="por-txt"><?php echo $v['money'];?> / (<?php echo $v['lv'];?>%)</div>
                                            <div class="progress mb-2" style="height: 5px;">
                                                <div class="progress-bar bg-flat-color-<?php echo $i;?>" role="progressbar" style="width: <?php echo $v['lv'];?>%;" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                                            </div>
                                        </div>
                                    <?php $i++;} ?>
                                </div> <!-- /.card-body -->
                            </div>
                        </div> <!-- /.row -->
                        <div class="card-body"></div>
                    </div>
                </div><!-- /# column -->
            </div>

        </div><!-- .animated -->
    </div><!-- .content -->

    <div class="clearfix"></div>

</div><!-- /#right-panel -->


<?php 
# 引入页脚
require_once VIEW_PATH . DS .'layout'. DS .'footer'. EXT;
?>
<script src="<?php echo __ROOT__;?>public/js/Chart.bundle.js"></script>
<script src="<?php echo __ROOT__;?>public/js/chartist.min.js"></script>
<script src="<?php echo __ROOT__;?>public/js/chartist-plugin-legend.js"></script>
<script src="<?php echo __ROOT__;?>public/js/jquery.flot.js"></script>
<script src="<?php echo __ROOT__;?>public/js/jquery.flot.pie.js"></script>
<script src="<?php echo __ROOT__;?>public/js/jquery.flot.spline.js"></script>
<script>
$('.btn-primary2').click(function(){
    $('.sousuo').submit()
});
var cellPaiChart = [
    { label: "收入", data: [[1,<?php echo $expend_v;?>]], color: '#5b83de'},
    { label: "支出", data: [[1,<?php echo $income_v;?>]], color: '#00bfa5'}
];
$.plot('#cellPaiChart1', cellPaiChart, {
    series: {
        pie: {
            show: true,
            stroke: {
                width: 0
            }
        }
    },
    legend: {
        show: false
    },grid: {
        hoverable: true,
        clickable: true
    }
});



var cellPaiChart = [
<?php foreach ($income_type_list as $k=>$v) { echo $v['json'];} ?>
];
$.plot('#cellPaiChart2', cellPaiChart, {
    series: {
        pie: {
            show: true,
            stroke: {
                width: 0
            }
        }
    },
    legend: {
        show: false
    },grid: {
        hoverable: true,
        clickable: true
    }
});

var cellPaiChart = [
<?php foreach ($expend_type_list as $k=>$v) { echo $v['json'];} ?>
];
$.plot('#cellPaiChart3', cellPaiChart, {
    series: {
        pie: {
            show: true,
            stroke: {
                width: 0
            }
        }
    },
    legend: {
        show: false
    },grid: {
        hoverable: true,
        clickable: true
    }
});
</script>