<?php 
require_once HANDLE_PATH . DS .'layout'. DS .'login_vif'. EXT;
# 引入页头
require_once VIEW_PATH . DS .'layout'. DS .'header'. EXT;
# 开始查询咯
$type  = I('POST.type');
$class = I('POST.class');
$order = I('POST.order');
$time  = I('POST.time');
$where = [];
$type_list = [];
$order2 = 'time DESC, id DESC';
if ($type) {
    $where['type'] = ['=', $type];
}
if ($class) {
    $where['class'] = ['=', $class];
    $type_list = get_type($class);
}
$where2 = '';
if ($time) {
    $array = month($time);
    $where2 = 'time >= '.$array[0].' AND time <= '.$array[1];
}

if ($order == 2){
    $order2 = 'money DESC';
} else if ($order == 3){
    $order2 = 'money ASC';
}

$count = Db::name('finance')->where($where)->where($where2)->order($order2)->field('count(id) as num')->find();
$count = $count['num'];
$page  = page($count, 15);
$list  = Db::name('finance')->where($where)->where($where2)->order($order2)->limit($page['limit'][0], $page['limit'][1])->select();
?>

    <div id="right-panel" class="right-panel">
        <div class="breadcrumbs">
            <div class="breadcrumbs-inner">
                <div class="row m-0">
                    <div class="col-sm-4">
                        <div class="page-header float-left">
                            <div class="page-title">
                                <h1>收入支出记录</h1>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-8">
                        <div class="page-header float-right">
                            <div class="page-title">
                                <ol class="breadcrumb text-right">
                                    <li><a href="<?php echo U('count');?>">账单管理</a></li>
                                    <li><a href="<?php echo U('login', 'out');?>">退出</a></li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="content">
            <div class="animated fadeIn">

                <div class="row">
                    <div class="col-lg-4">
                        <div class="card">
                            <div class="card-header">
                                <strong>添加</strong> 新记录
                            </div>

                            <form action="#" method="post" enctype="multipart/form-data" class="form-horizontal">
                            <div class="card-body card-block">
                                    
                                <div class="row form-group">
                                    <div class="col col-md-3"><label for="text-input" class=" form-control-label">金额</label></div>
                                    <div class="col-12 col-md-9"><input type="text" id="money" placeholder="若是支出请填入负数..." class="form-control"></div>
                                </div>
                                <div class="row form-group">
                                    <div class="col col-md-3"><label for="text-input" class=" form-control-label">时间</label></div>
                                    <div class="col-12 col-md-9"><input type="text" id="time" class="form-control" placeholder="记录产生的日期时间..."></div>
                                </div>
                                <div class="row form-group">
                                    <div class="col col-md-3"><label for="multiple-select" class=" form-control-label">财务类型</label></div>
                                    <div class="col col-md-9">
                                        <select name="multiple-select" id="type" multiple="" class="form-control">
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col col-md-3"><label for="textarea-input" class=" form-control-label">说明</label></div>
                                    <div class="col-12 col-md-9"><textarea id="des" rows="9" placeholder="附加说明项..." class="form-control"></textarea></div>
                                </div>
                                
                            </div>
                            <div class="card-footer">
                                <button type="button" class="btn btn-primary btn-sm">
                                    <i class="fa fa-dot-circle-o"></i> 确认提交
                                </button>
                                <button type="reset" class="btn btn-danger btn-sm">
                                    <i class="fa fa-ban"></i> 重置
                                </button>
                            </div>
                            </form>
                            
                        </div>
                    </div>

                    <div class="col-lg-8">
                        
                        <div class="card">
                            <div class="card-header">
                                <strong>搜索条件</strong>
                            </div>
                            <div class="card-body card-block">
                                <form action="<?php echo U('index');?>" method="post" class="form-inline sousuo">
                                    <!--<div class="form-group"><label for="exampleInputName2" class="pr-1  form-control-label">金额</label><input type="text" name="money" class="form-control"></div>-->
                                    <div class="form-group"><label for="exampleInputEmail2" class="px-1  form-control-label">财务类型</label>
                                        <select name="type" id="sou_type" class="form-control">
                                            <option value="0">全部</option>
                                            <?php
                                                foreach ($type_list as $k=>$v) {
                                                    $s = '';
                                                    if ($type == $k) $s = 'selected';
                                                    echo "<option value='{$k}' {$s}>{$v}</option>";
                                                }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="form-group"><label for="exampleInputEmail2" class="px-1  form-control-label">出入</label>
                                        <select name="class" id="sou_class" class="form-control">
                                            <option value="0">全部</option>
                                            <option value="1" <?php if ($class == 1) echo 'selected';?> >收入</option>
                                            <option value="2" <?php if ($class == 2) echo 'selected';?> >支出</option>
                                        </select>
                                    </div>
                                    <div class="form-group"><label for="exampleInputEmail2" class="px-1  form-control-label">时间</label>
                                        <select name="time" class="form-control">
                                            <option value="0">全部</option>
                                            <option value="1" <?php if ($time == 1) echo 'selected';?>>一月</option>
                                            <option value="2" <?php if ($time == 2) echo 'selected';?>>二月</option>
                                            <option value="3" <?php if ($time == 3) echo 'selected';?>>三月</option>
                                            <option value="4" <?php if ($time == 4) echo 'selected';?>>四月</option>
                                            <option value="5" <?php if ($time == 5) echo 'selected';?>>五月</option>
                                            <option value="6" <?php if ($time == 6) echo 'selected';?>>六月</option>
                                            <option value="7" <?php if ($time == 7) echo 'selected';?>>七月</option>
                                            <option value="8" <?php if ($time == 8) echo 'selected';?>>八月</option>
                                            <option value="9" <?php if ($time == 9) echo 'selected';?>>九月</option>
                                            <option value="10" <?php if ($time == 10) echo 'selected';?>>十月</option>
                                            <option value="11" <?php if ($time == 11) echo 'selected';?>>十一月</option>
                                            <option value="12" <?php if ($time == 12) echo 'selected';?>>十二月</option>
                                        </select>
                                    </div>
                                    <div class="form-group"><label for="exampleInputEmail2" class="px-1  form-control-label">排序</label>
                                        <select name="order" class="form-control">
                                            <option value="1" <?php if ($order == 1) echo 'selected';?> >最新</option>
                                            <option value="2" <?php if ($order == 2) echo 'selected';?> >收入</option>
                                            <option value="3" <?php if ($order == 3) echo 'selected';?> >支出</option>
                                        </select>
                                    </div>
                                </form>
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary2 btn-sm">确认搜索</button>
                            </div>
                        </div>


                        <div class="card">
                            <div class="card-header">
                                <strong class="card-title">记录列表</strong>
                            </div>
                            <div class="table-stats order-table ov-h">
                                <table class="table ">
                                    <thead>
                                        <tr>
                                            <th>序号</th>
                                            <th>金额</th>
                                            <th>类型</th>
                                            <th>时间</th>
                                            <th>操作</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php 
                                            $income = 0;
                                            $expend = 0;
                                            foreach ($list as $k=>$v) {
                                        ?>
                                            <tr id="del-<?php echo $v['id'];?>">
                                                <td><?php echo $k+1;?></td>
                                                <td>
                                                    <?php
                                                        if ($v['class'] == 1) {
                                                            $income += $v['money'];
                                                            echo $v['money'];
                                                        } else {
                                                            $expend += $v['money'];
                                                            echo '<font color="red">'.$v['money'].'</font>';
                                                        }
                                                    ?>
                                                </td>
                                                <td><?php echo get_type($v['class'], $v['type']);?></td>
                                                <td>
                                                    <?php echo date('Y.m.d H:i', $v['time']);?>
                                                </td>
                                                <td>
                                                    <a href='javascript:des("<?php echo U('index', 'des', 'id='.$v['id']);?>");' class="badge badge-pending" style="color:#fff">说明</a>
                                                    <a href='javascript:del("<?php echo $v['id'];?>", "<?php echo U('index', 'delete', 'id='.$v['id']);?>");' class="badge badge-complete" style="color:#fff">删除</a>
                                                </td>
                                            </tr>
                                        <?php } ?>
                                        <tr>
                                            <td>共支出：<?php echo '<font color="red">'.$expend.'</font>';?></td>
                                            <td>共收入：<?php echo $income;?></td>
                                            <td>收支：<?php echo $income+$expend;?></td>
                                            <td></td>
                                            <td></td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div style="padding: 0 10px 10px 10px;float: left;">
                                    <?php echo $page['html'];?>
                                </div>
                            </div> <!-- /.table-stats -->
                        </div>
                    </div>

        </div>
    </div><!-- .animated -->
</div><!-- .content -->

<div class="clearfix"></div>

</div><!-- /#right-panel -->

<div id="zhe" style="width:300px; height:300px; margin: -150px 0 0 -150px; padding:15px; position: fixed;left: 50%;top: 50%;background: #fff;box-shadow: #c7c7c7 0px 0px 18px;display:none">
    <div id="guan" style="text-align: right;cursor: pointer;">关闭</div>
    <div id="content">
        
    </div>
</div>

<?php 
# 引入页脚
require_once VIEW_PATH . DS .'layout'. DS .'footer'. EXT;
?>

<script>
$.fn.datetimepicker.dates['zh'] = { 
　　days: ["星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六","星期日"], 
　　daysShort: ["日", "一", "二", "三", "四", "五", "六","日"], 
　　daysMin: ["日", "一", "二", "三", "四", "五", "六","日"], 
　　months: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月","十二月"], 
　　monthsShort: ["一", "二", "三", "四", "五", "六", "七", "八", "九", "十", "十一", "十二"], 
　　meridiem: ["上午", "下午"], 
　　today: "今天" 
};

$(function(){
  $("#time").datetimepicker({
      language: 'zh-CN',
      format: "yyyy-mm-dd hh:ii",
      todayBtn: true,
      autoclose: true,
      startView:2,
  });
})

$("#money").on("input onpropertychange",function(){
    var money = $(this).val();
　　var data = {'money':money};
    if (money=='' || money == 0) {
        $('#type').html('');
        return false;
    }

    $.ajax({
        type: 'post',
        data:data,
        url: "<?php echo U('layout', 'money_type');?>",
        success: function(data) {
            var array = eval('(' + data+ ')');
            var length = array['data'].length;
            var html = '';
            $.each(array['data'],function(index, value){
                html += '<option value="'+index+'">'+value+'</option>';
            });
            $('#type').html(html);
        }
    });
});

$('.btn-primary').click(function(){
    var money = $('#money').val();
    var des = $('#des').val();
    var type = $('#type').val();
    if (!type) {
        alert('请选择财务类型！'); return false;
    }
    var time = $('#time').val();
    var data = {'money':money, 'des':des, 'type':type[0], 'time':time};

    $.ajax({
        type: 'post',
        data:data,
        url: "<?php echo U('index', 'add_money');?>",
        success: function(data) {
            var array = eval('(' + data+ ')');
            if (array['code'] != '00') {
                alert(array['msg']);
            } else {
                window.location.reload();
            }
        }
    });
});
$('.btn-primary2').click(function(){
    $('.sousuo').submit()
});

$('#sou_class').click(function(){
    var pid = $(this).val();
    var html = '<option value="0">全部</option>';
    if (pid == 0) {
        $('#sou_type').html(html);
        return false;
    } else if (pid == 1) {
        var data = {'money':1};
    } else {
        var data = {'money':-1};
    }
    
    $.ajax({
        type: 'post',
        data:data,
        url: "<?php echo U('layout', 'money_type');?>",
        success: function(data) {
            var array = eval('(' + data+ ')');
            var length = array['data'].length;
            $.each(array['data'],function(index, value){
                html += '<option value="'+index+'">'+value+'</option>';
            });
            $('#sou_type').html(html);
        }
    });
});

function del(id, href) {
    var data = {'id':id};
    $.ajax({
        type: 'post',
        data:data,
        url: href,
        success: function(data) {
            var array = eval('(' + data+ ')');
            if (array['code'] != '00') {
                alert(array['msg']);
            } else {
                $('#del-'+id).remove();
            }
        }
    });
}

function des(href) {
    var data = {};
    $.ajax({
        type: 'get',
        data:data,
        url: href,
        success: function(data) {
            var array = eval('(' + data+ ')');
            if (array['code'] != '00') {
                alert(array['msg']);
            } else {
                $('#zhe').show();
                $('#content').html(array['data']);
            }
        }
    });
}
$('#guan').click(function(){
    $('#zhe').hide();
    $('#content').html('');
})
</script>