/*
Navicat MySQL Data Transfer

Source Server         : 本地数据库
Source Server Version : 50717
Source Host           : localhost:3306
Source Database       : test_money

Target Server Type    : MYSQL
Target Server Version : 50717
File Encoding         : 65001

Date: 2019-04-10 09:45:20
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for jun_finance
-- ----------------------------
DROP TABLE IF EXISTS `jun_finance`;
CREATE TABLE `jun_finance` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `money` decimal(7,2) DEFAULT NULL COMMENT '金额',
  `type` tinyint(3) DEFAULT NULL COMMENT '财务类型',
  `class` tinyint(1) DEFAULT '1' COMMENT '收入或支出 1|2',
  `time` int(11) DEFAULT NULL COMMENT '时间',
  `des` varchar(255) DEFAULT NULL COMMENT '描述',
  PRIMARY KEY (`id`),
  KEY `time` (`time`),
  KEY `type` (`type`),
  KEY `class` (`class`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='财务记录表';
